Bug 1731219 - RFE: Improve support for Fedora CoreOS (ignition, osinfo integration, kernel/initrd download)
Summary: RFE: Improve support for Fedora CoreOS (ignition, osinfo integration, kernel/...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 16:33 UTC by Brian 'redbeard' Harrington
Modified: 2020-09-15 19:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-15 19:14:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github coreos fedora-coreos-tracker issues 221 0 None open Publish meta-data for use with virt-manager 2020-09-20 17:58:48 UTC

Description Brian 'redbeard' Harrington 2019-07-18 16:33:10 UTC
Description of problem:

Fedora CoreOS operates in a different manner than traditional Red Hat based distros, this is most prevalent when ignition is involved.

Presently virt-install has a lot of direct support for other Red Hat-isms like the stage2 image.  While we shouldn't need this with Fedora CoreOS there are other optimizations which may be possible like presenting the firmware mechanisms needed to provide configuration of the host:
  https://github.com/coreos/ignition/issues/656#issuecomment-442160199
  https://github.com/coreos/ignition/issues/666


From the Fedora CoreOS side this is also being tracked in https://github.com/coreos/fedora-coreos-tracker/issues/221

Comment 1 Cole Robinson 2020-08-31 18:51:50 UTC
I think the main thing here is some kind of ignition config support, like have with virt-install --cloud-init upstream. That could eventually make its way to the UI.
If coreos provides a .treeinfo file then URL and OS detection can work nicely.
But yes there's probably a variety of things to consider here like described in the github issue

Comment 2 Cole Robinson 2020-09-15 19:14:12 UTC
We are closing down this tracker for upstream virt-manager bugs. I've moved this issue to the upstream github tracker here: https://github.com/virt-manager/virt-manager/issues/152


Note You need to log in before you can comment on or make changes to this bug.